Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypeStickerSet

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypeStickerSet

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypeStickerSet extends TdApi.InternalLinkType
The link is a link to a sticker set. Call searchStickerSet with the given sticker set name to process the link and show the sticker set. If the sticker set is found and the user wants to add it, then call changeStickerSet.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `expectCustomEmoji`
  True, if the sticker set is expected to contain custom emoji.
  `String`
  `stickerSetName`
  Name of the sticker set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypeStickerSet()`
  The link is a link to a sticker set.
  `InternalLinkTypeStickerSet(String stickerSetName, boolean expectCustomEmoji)`
  The link is a link to a sticker set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerSetName

    public String stickerSetName
    Name of the sticker set.

  - ### expectCustomEmoji

    public boolean expectCustomEmoji
    True, if the sticker set is expected to contain custom emoji.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypeStickerSet

    public InternalLinkTypeStickerSet()
    The link is a link to a sticker set. Call searchStickerSet with the given sticker set name to process the link and show the sticker set. If the sticker set is found and the user wants to add it, then call changeStickerSet.

  - ### InternalLinkTypeStickerSet

    public InternalLinkTypeStickerSet(String stickerSetName, boolean expectCustomEmoji)
    The link is a link to a sticker set. Call searchStickerSet with the given sticker set name to process the link and show the sticker set. If the sticker set is found and the user wants to add it, then call changeStickerSet.
    Parameters:
      `stickerSetName` - Name of the sticker set.
      `expectCustomEmoji` - True, if the sticker set is expected to contain custom emoji.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR